#include <amxmodx>
#include <amxmisc>
#include <codmod>
#include <engine>
#include <hamsandwich>
#include <cstrike>
        
new const nazwa[]   = "Zabojca ( Premium )";
new const opis[]    = "1/4 deagle,1/3 awp i scout,300 grawitacji,140hp,100 pancerza";
new const bronie    = (1<<CSW_SCOUT)|(1<<CSW_AWP)|(1<<CSW_DEAGLE);
new const zdrowie   = 40;
new const kondycja  = 0;
new const inteligencja = 0;
new const wytrzymalosc = 0;
    
new ma_klase[33];

public plugin_init()
{
	register_plugin(nazwa, "1.0", "amxx.pl");

	cod_register_class(nazwa, opis, bronie, zdrowie, kondycja, inteligencja, wytrzymalosc);   
	RegisterHam(Ham_Spawn, "player", "fwSpawn_Grawitacja", 1);
	
	RegisterHam(Ham_TakeDamage, "player","fwTakeDamage",0);
	RegisterHam(Ham_Spawn,"player","fwSpawned",1)
}

public fwSpawned(id){
	if(is_user_alive(id) && ma_klase[id]){
		cs_set_user_armor(id,100,CS_ARMOR_KEVLAR)
	}
}


public cod_class_enabled(id)
{

 	entity_set_float(id, EV_FL_gravity, 300.0/800.0);
	ma_klase[id] = true;

}

public cod_class_disabled(id)
{

 	entity_set_float(id, EV_FL_gravity, 1.0);
	ma_klase[id] = false;

}

public fwSpawn_Grawitacja(id)
{
	if(ma_klase[id])
		entity_set_float(id, EV_FL_gravity, 300.0/800.0);
}

public fwTakeDamage(this, idinflictor, idattacker, Float:damage, damagebits){
	if(ma_klase[idattacker]){ // czy atakujacy ma ta klase
		new iWeapon	=	get_user_weapon(idattacker); //pobranie broni ktora trzyma gracz
 
		if(iWeapon == CSW_DEAGLE && random_num(1,4) == 1){
			cs_set_user_armor(this, 0, CS_ARMOR_NONE);
			SetHamParamFloat(4, float(get_user_health(this) + 1));
		}
		else if ((iWeapon == CSW_AWP || iWeapon == CSW_SCOUT) && random_num(1,4) == 1){
			cs_set_user_armor(this, 0, CS_ARMOR_NONE);
			SetHamParamFloat(4, float(get_user_health(this) + 1));
		}
 
		return HAM_HANDLED;
	}
        return HAM_IGNORED;
}